package com.zcxk.evaluation.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.evaluation.entity.EvaluationGradeEntity;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;

/**
 * 考评等级Service接口
 *
 * @author: WYY
 * @date 2021-05-08 09:23
 */
@Service
public interface EvaluationGradeService {



    /**
     * 自定义分页查询，含关联实体对像
     */
    public IPage<EvaluationGradeEntity> findPage(IPage<EvaluationGradeEntity> page, EvaluationGradeEntity evaluationGradeEntity);

    /**
     * 查列表
     */
    public List<EvaluationGradeEntity> findList(EvaluationGradeEntity evaluationGradeEntity) ;
    /**
     * 批量删除
     */
    public boolean delEvaluationGradeByIds(Long[] ids);

    /**
     * 单个删除
     */
    public boolean delEvaluationGradeById(Long id);

    /**
     * 保存
     */
    public boolean addEvaluationGrade(EvaluationGradeEntity evaluationGrade);

    /**
     * 批量保存
     */
    public boolean addBatchEvaluationGrade(List<EvaluationGradeEntity> evaluationGrades);

    /**
     * 修改根居ID
     */
    public boolean updateEvaluationGradeById(EvaluationGradeEntity evaluationGrade) ;

    /**
     * 根居ID获取对象
     */
    public EvaluationGradeEntity findEvaluationGradeById(Long id) ;

    /**
    * @Author lihui
    * @Description 获取得分等级
    * @Date 15:57 2021/5/11
    * @Param [tenantId, companyOrgId, score]
    * @return java.lang.String
    **/
    String getScoreGrade(String tenantId, Integer companyOrgId, BigDecimal score, boolean formatName);
}
